export function $classOf(arg: any): any;
export function $isString(arg: any): arg is string;
export function $isNumber(arg: any): arg is number;
export function $isObject(arg: any): arg is Record<string, any>;
export const $isArray: (arg: any) => arg is any[];
export function $in(key: any, ref: any): boolean;
export function $eq(x: any, y: any): boolean;
export const $: {
    <T_H extends keyof HTMLElementTagNameMap>(config: $API & {
        t: $Tag;
    } & {
        t: T_H;
    }, namespace?: string): HTMLElementTagNameMap[T_H];
    <T_S extends keyof SVGElementTagNameMap>(config: $API & {
        t: $Tag;
    } & {
        t: T_S;
    }, namespace?: string): SVGElementTagNameMap[T_S];
    <E_H extends HTMLElement>(config: $API & {
        e: $Element;
    } & {
        e: E_H;
    }, namespace?: string): E_H;
    <E_S extends SVGElement>(config: $API & {
        e: $Element;
    } & {
        e: E_S;
    }, namespace?: string): E_S;
};
export const $$: {
    <TH extends keyof HTMLElementTagNameMap>(x: TH, a?: $Attributes, p?: $Properties, ...i: $Item[]): HTMLElementTagNameMap[TH];
    <TS extends keyof SVGElementTagNameMap>(x: TS, a?: $Attributes, p?: $Properties, ...i: $Item[]): SVGElementTagNameMap[TS];
    <EH extends HTMLElement>(x: EH, a?: $Attributes, p?: $Properties, ...i: $Item[]): EH;
    <ES extends SVGElement>(x: ES, a?: $Attributes, p?: $Properties, ...i: $Item[]): ES;
};
export function $css(style: $CSS, splitter?: string): string;
export function $highlight(pattern: RegExp, highlighters: ((chunk: string, index: number) => $Item)[], innerText: string): $Item[];
export function $locale(locales: Record<string, Record<string, string | Record<string, string>>>, defaultLanguage: string, languages?: readonly string[]): (text?: string | undefined, version?: string | undefined) => string;
export type $Attributes = Record<string, string | number | boolean>;
export type $Properties = Record<string, any>;
export type $Item = Node | string | number | $TAPI | $EAPI;
export type $Tag = keyof HTMLElementTagNameMap | keyof SVGElementTagNameMap;
export type $Element = HTMLElement | SVGElement;
export type $API = {
    a?: $Attributes;
    p?: $Properties;
    i?: $Item[];
};
export type $TAPI = $API & {
    t: $Tag;
};
export type $EAPI = $API & {
    e: $Element;
};
export type $CSSRules = {
    [attributeOrSelector: string]: string | number | $CSSRules;
};
export type $CSS = {
    [selector: string]: $CSSRules;
};
